org.apache.cxf.interceptor

## Class LoggingMessage

- java.lang.Object
- - org.apache.cxf.interceptor.LoggingMessage

- Deprecated.
  use the logging module rt/features/logging instead

      @Deprecated
      public final class LoggingMessage
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ID_KEY` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoggingMessage(String h, String i)` Deprecated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `StringBuilder` | `getAddress()` Deprecated.
    `StringBuilder` | `getContentType()` Deprecated.
    `StringBuilder` | `getEncoding()` Deprecated.
    `StringBuilder` | `getHeader()` Deprecated.
    `StringBuilder` | `getHttpMethod()` Deprecated.
    `String` | `getId()` Deprecated.
    `StringBuilder` | `getMessage()` Deprecated.
    `StringBuilder` | `getPayload()` Deprecated.
    `StringBuilder` | `getResponseCode()` Deprecated.
    `static String` | `nextId()` Deprecated.
    `String` | `toString()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ID_KEY

          public static final String ID_KEY

      Deprecated.

  - ### Constructor Detail

    - #### LoggingMessage

          public LoggingMessage(String h,
                                String i)

      Deprecated.

  - ### Method Detail

    - #### getId

          public String getId()

      Deprecated.

    - #### nextId

          public static String nextId()

      Deprecated.

    - #### getAddress

          public StringBuilder getAddress()

      Deprecated.

    - #### getEncoding

          public StringBuilder getEncoding()

      Deprecated.

    - #### getHeader

          public StringBuilder getHeader()

      Deprecated.

    - #### getHttpMethod

          public StringBuilder getHttpMethod()

      Deprecated.

    - #### getContentType

          public StringBuilder getContentType()

      Deprecated.

    - #### getMessage

          public StringBuilder getMessage()

      Deprecated.

    - #### getPayload

          public StringBuilder getPayload()

      Deprecated.

    - #### getResponseCode

          public StringBuilder getResponseCode()

      Deprecated.

    - #### toString

          public String toString()

      Deprecated.
      Overrides:
        `toString` in class `Object`

Apache CXF